
Name:           kdesrc-build
Version:        1.15.1
Release:        2%{?dist}
Summary:        A tool to easily build KDE from its source repositories

License:        GPLv2+ and LGPLv3+ and BSD and GFDL
URL:            http://kdesrc-build.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/kdesrc-build/1.15.1/src/%{name}-%{version}.tar.xz

# add missing key "Type"
Patch0:         %{name}-desktop-file.patch

BuildRequires:  perl-Test-Simple
BuildRequires:  perl-libwww-perl
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel

BuildArch:      noarch


%description
kdesrc-build is a script to help users install KDE software from its Subversion
and Git source repositories. It used to be called kdesvn-build, the name was
changed to this more generic form in June 2010 when KDE started adopting
git-based source control.


%prep
%setup -q

%patch0


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%check
./kdesrc-build-test.pl --full-run


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

install -pm 755 %{name} %{buildroot}%{_bindir}
install -pm 755 %{name}-setup %{buildroot}%{_bindir}

desktop-file-install --dir %{buildroot}%{_kde4_datadir}/applications/kde4 doc/%{name}.desktop


%files
%doc README LICENSE AUTHORS %{name}rc-sample COPYING.LIB doc/COPYING.DOC

%{_bindir}/%{name}
%{_bindir}/%{name}-setup

%{_kde4_datadir}/applications/kde4/%{name}.desktop

%{_kde4_appsdir}/katepart/syntax/%{name}rc.xml

%{_docdir}/HTML/*/%{name}

%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-setup.1.gz


%changelog
* Mon Jun 04 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 1.15.1-2
- fix source url

* Tue May 22 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 1.15.1-1
- Version bump.
- switch to xz compressed source archive

* Mon May 07 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 1.14.1-2
- remove icon cache scriptlets
- move test to %check section
- add COPYING.LIB
- shorten summary

* Sat May 05 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 1.14.1-1
- Initial packaging

